"use strict";
/**
 * @packageDocumentation
 * @module AccountUIContext
 */
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initialAccountUIState = void 0;
var TransitState_1 = require("../TransitState");
/**
 * Default initial state for [[AccountUIState]] upon app start.
 */
exports.initialAccountUIState = {
    userToken: null,
    email: null,
    login: __assign(__assign({}, TransitState_1.initialTransitState), { email: null }),
    forgotPassword: __assign(__assign({}, TransitState_1.initialTransitState), { email: null }),
    setPassword: {
        setPasswordTransit: TransitState_1.initialTransitState,
        verifyResetCodeTransit: TransitState_1.initialTransitState,
    },
};
