"use strict";
/**
 * @packageDocumentation
 * @module RegistrationUIContext
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.initialRegistrationState = void 0;
var TransitState_1 = require("../TransitState");
/**
 * Default initial state for [[RegistrationUIState]] upon app start.
 */
exports.initialRegistrationState = {
    eulaTransit: TransitState_1.initialTransitState,
    inviteRegistration: {
        codeRequestTransit: TransitState_1.initialTransitState,
        registrationTransit: TransitState_1.initialTransitState,
        validationTransit: TransitState_1.initialTransitState,
        email: null,
        organizationName: null,
    },
};
