"use strict";
/**
 Copyright (c) 2021-present, Eaton

 All rights reserved.

 This code is licensed under the BSD-3 license found in the LICENSE file in the root directory of this source tree and at https://opensource.org/licenses/BSD-3-Clause.
 **/
/**
 * General docs
 *
 * @packageDocumentation
 * @module  @etn-sst/react-native-auth-ui
 * @preferred
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.translations = exports.AuthUIInternalStore = exports.useInjectedUIContext = exports.AuthUIContextProvider = void 0;
var translations_1 = require("./data/translations");
__exportStar(require("./contexts/AccountUIContext"), exports);
__exportStar(require("./contexts/SecurityContextProvider"), exports);
var AuthUIContextProvider_1 = require("./contexts/AuthUIContextProvider");
Object.defineProperty(exports, "AuthUIContextProvider", { enumerable: true, get: function () { return AuthUIContextProvider_1.AuthUIContextProvider; } });
var AuthUIContextProvider_2 = require("./contexts/AuthUIContextProvider");
Object.defineProperty(exports, "useInjectedUIContext", { enumerable: true, get: function () { return AuthUIContextProvider_2.useInjectedUIContext; } });
__exportStar(require("./contexts/RegistrationUIContext"), exports);
__exportStar(require("./contexts/TransitState"), exports);
__exportStar(require("./hooks"), exports);
__exportStar(require("./lib"), exports);
var AuthUIInternalStore_1 = require("./stores/AuthUIInternalStore");
Object.defineProperty(exports, "AuthUIInternalStore", { enumerable: true, get: function () { return AuthUIInternalStore_1.AuthUIInternalStore; } });
__exportStar(require("./types"), exports);
exports.translations = {
    english: translations_1.english,
    french: translations_1.french,
    spanish: translations_1.spanish,
    chinese: translations_1.chinese,
    portuguese: translations_1.portuguese,
};
__exportStar(require("./helpers/parseTextForJSX"), exports);
