import React from 'react';
import { EmptyStateProps } from '@brightlayer-ui/react-components';
/**
 * Component that renders a EmptyState component indicating completion of a user flow.
 *
 * @param props all props will be passed to the EmptyState component, except for style
 * which is applied to the root element
 *
 * @category Component
 */
export declare const FinishState: React.FC<React.PropsWithChildren<React.PropsWithChildren<EmptyStateProps>>>;
