import React, { HTMLAttributes } from 'react';
import { SxProps, Theme } from '@mui/material/styles';
export type PasswordRequirementsProps = HTMLAttributes<HTMLDivElement> & {
    passwordText: string;
    sx?: SxProps<Theme>;
};
/**
 * Component that renders all of the password requirement line items with check indicators.
 *
 * @param passwordText The string to conduct the complexity checks against
 *
 * @category Component
 */
export declare const PasswordRequirements: React.FC<React.PropsWithChildren<React.PropsWithChildren<PasswordRequirementsProps>>>;
