"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultPasswordRequirements = void 0;
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var defaultPasswordRequirements = function (t) { return [
    {
        regex: react_auth_shared_1.LENGTH_REGEX,
        description: t('blui:PASSWORD_REQUIREMENTS.LENGTH'),
    },
    {
        regex: react_auth_shared_1.NUMBERS_REGEX,
        description: t('blui:PASSWORD_REQUIREMENTS.NUMBERS'),
    },
    {
        regex: react_auth_shared_1.UPPER_CASE_REGEX,
        description: t('blui:PASSWORD_REQUIREMENTS.UPPER'),
    },
    {
        regex: react_auth_shared_1.LOWER_CASE_REGEX,
        description: t('blui:PASSWORD_REQUIREMENTS.LOWER'),
    },
    {
        regex: react_auth_shared_1.SPECIAL_CHAR_REGEX,
        description: t('blui:PASSWORD_REQUIREMENTS.SPECIAL'),
    },
]; };
exports.defaultPasswordRequirements = defaultPasswordRequirements;
