"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowCardHeader = void 0;
var react_1 = __importDefault(require("react"));
var CardHeader_1 = __importDefault(require("@mui/material/CardHeader"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var WorkflowCardHeader = function (props) {
    var title = props.title, sx = props.sx, otherCardHeaderProps = __rest(props, ["title", "sx"]);
    return (react_1.default.createElement(CardHeader_1.default, __assign({ title: typeof title === 'string' ? react_1.default.createElement(Typography_1.default, { variant: 'h6' }, title) : title, sx: __spreadArray([
            {
                pt: { md: 4, sm: 2 },
                px: { md: 3, sm: 2 },
                pb: 0,
            }
        ], (Array.isArray(sx) ? sx : [sx]), true) }, otherCardHeaderProps)));
};
exports.WorkflowCardHeader = WorkflowCardHeader;
