"use strict";
/**
 * @packageDocumentation
 * @module RegistrationWorkflowContextProvider
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegistrationContextProvider = void 0;
var react_1 = __importStar(require("react"));
var context_1 = require("./context");
var react_i18next_1 = require("react-i18next");
var i18nRegistrationInstance_1 = require("./i18nRegistrationInstance");
var RegistrationContextProvider = function (props) {
    var children = props.children, registrationContextProps = __rest(props, ["children"]);
    var language = props.language, _a = props.i18n, i18n = _a === void 0 ? i18nRegistrationInstance_1.i18nRegistrationInstance : _a;
    (0, react_1.useEffect)(function () {
        void i18n.changeLanguage(language);
    }, [i18n, language]);
    return (react_1.default.createElement(react_i18next_1.I18nextProvider, { i18n: i18n },
        react_1.default.createElement(context_1.RegistrationContext.Provider, { value: registrationContextProps }, children)));
};
exports.RegistrationContextProvider = RegistrationContextProvider;
