"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExperimentalAuthGuard = void 0;
var ExperimentalAuthGuard = function (_a) {
    var children = _a.children, isAuthenticated = _a.isAuthenticated, fallbackComponent = _a.fallbackComponent;
    if (isAuthenticated) {
        return children;
    }
    if (!isAuthenticated && fallbackComponent) {
        return fallbackComponent;
    }
    return null;
};
exports.ExperimentalAuthGuard = ExperimentalAuthGuard;
