import React from 'react';
import { CreateAccountScreenProps } from './types';
/**
 * Component that renders a screen for the user to enter their email address to start the
 * account creation process.
 *
 * @param emailLabel label for the textfield
 * @param initialValue used to pre-populate the email input field
 * @param emailValidator used to test the input for valid formatting
 *
 * @category Component
 */
export declare const CreateAccountScreenBase: React.FC<React.PropsWithChildren<CreateAccountScreenProps>>;
