import React from 'react';
/**
 * Component that renders a screen displaying success for creating an account for
 * a user that already exists.
 *
 * @category Component
 */
export type ExistingAccountRegisterSuccessSubscreenProps = {
    cardTitle?: string;
    messageIcon?: JSX.Element;
    messageTitle?: string;
    messageBody?: string;
    cardActions?: JSX.Element | JSX.Element[];
};
export declare const ExistingAccountRegisterSuccessSubscreen: React.FC<ExistingAccountRegisterSuccessSubscreenProps>;
