"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SuccessScreenBase = void 0;
var react_1 = __importDefault(require("react"));
var material_1 = require("@mui/material");
var WorkflowCard_1 = require("../../components/WorkflowCard");
var components_1 = require("../../components");
var SuccessScreenBase = function (props) {
    var icon = props.icon, messageTitle = props.messageTitle, message = props.message;
    var cardBaseProps = props.WorkflowCardBaseProps || {};
    var headerProps = props.WorkflowCardHeaderProps || {};
    var actionsProps = props.WorkflowCardActionsProps || {};
    return (react_1.default.createElement(WorkflowCard_1.WorkflowCard, __assign({}, cardBaseProps),
        react_1.default.createElement(WorkflowCard_1.WorkflowCardHeader, __assign({}, headerProps)),
        react_1.default.createElement(WorkflowCard_1.WorkflowCardBody, null,
            react_1.default.createElement(components_1.WorkflowFinishState, { icon: icon, title: messageTitle, description: message })),
        react_1.default.createElement(material_1.Divider, null),
        react_1.default.createElement(WorkflowCard_1.WorkflowCardActions, __assign({}, actionsProps))));
};
exports.SuccessScreenBase = SuccessScreenBase;
