import React from 'react';
/**
 * Content for the Contact Us screen. This is exported separately
 * in the event that a user wishes to build another area in their
 * main application where users can view this information.
 *
 * @category Component
 */
export declare const ContactSupportContent: React.FC<React.PropsWithChildren<React.PropsWithChildren>>;
/**
 * Container that renders a screen with contact information for
 * support with the application. Contact information is pulled
 * from the context passed into the workflow.
 *
 * @category Component
 */
export declare const ContactSupport: React.FC<React.PropsWithChildren<React.PropsWithChildren>>;
