"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelfRegistrationPager = exports.emptyAccountDetailInformation = void 0;
var react_1 = __importStar(require("react"));
var i18n_1 = __importDefault(require("../translations/i18n"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var react_router_dom_1 = require("react-router-dom");
var useQueryString_1 = require("../hooks/useQueryString");
var RoutingContext_1 = require("../contexts/RoutingContext");
var Button_1 = __importDefault(require("@mui/material/Button"));
var CardActions_1 = __importDefault(require("@mui/material/CardActions"));
var CardContent_1 = __importDefault(require("@mui/material/CardContent"));
var CardHeader_1 = __importDefault(require("@mui/material/CardHeader"));
var Divider_1 = __importDefault(require("@mui/material/Divider"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var MobileStepper_1 = __importDefault(require("@mui/material/MobileStepper"));
var components_1 = require("../components");
var CreateAccount_1 = require("./subScreens/CreateAccount");
var AcceptEula_1 = require("./subScreens/AcceptEula");
var VerifyEmail_1 = require("./subScreens/VerifyEmail");
var CreatePassword_1 = require("./subScreens/CreatePassword");
var AccountDetails_1 = require("./subScreens/AccountDetails");
var RegistrationComplete_1 = require("./subScreens/RegistrationComplete");
var ExistingAccountComplete_1 = require("./subScreens/ExistingAccountComplete");
var styles_1 = require("../styles");
var styles_2 = require("@mui/material/styles");
var Box_1 = __importDefault(require("@mui/material/Box"));
exports.emptyAccountDetailInformation = {
    firstName: '',
    lastName: '',
};
/**
 * Container component that manages the transition between screens for the
 * self-registration (i.e., Create Account) workflow.
 *
 * @category Component
 */
var SelfRegistrationPager = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var navigate = (0, react_router_dom_1.useNavigate)();
    var routes = (0, RoutingContext_1.useRoutes)().routes;
    var registrationActions = (0, react_auth_shared_1.useRegistrationUIActions)();
    var registrationState = (0, react_auth_shared_1.useRegistrationUIState)();
    var injectedUIContext = (0, react_auth_shared_1.useInjectedUIContext)();
    var _l = (0, useQueryString_1.useQueryString)(), code = _l.code, urlEmail = _l.email;
    var theme = (0, styles_2.useTheme)();
    // Local State
    var _m = (0, react_1.useState)(0), currentPage = _m[0], setCurrentPage = _m[1];
    var _o = (0, react_1.useState)(false), eulaAccepted = _o[0], setEulaAccepted = _o[1];
    var _p = (0, react_1.useState)(''), password = _p[0], setPassword = _p[1];
    var _q = (0, react_1.useState)(null), accountDetails = _q[0], setAccountDetails = _q[1];
    var _r = (0, react_1.useState)({}), customAccountDetails = _r[0], setCustomAccountDetails = _r[1];
    var _s = (0, react_1.useState)(), eulaContent = _s[0], setEulaContent = _s[1];
    var _t = (0, react_1.useState)(false), accountAlreadyExists = _t[0], setAccountAlreadyExists = _t[1];
    var _u = (0, react_1.useState)(false), hasAcknowledgedError = _u[0], setHasAcknowledgedError = _u[1];
    var _v = (0, react_1.useState)(code !== null && code !== void 0 ? code : ''), verificationCode = _v[0], setVerificationCode = _v[1];
    var _w = (0, react_1.useState)(urlEmail !== null && urlEmail !== void 0 ? urlEmail : ''), email = _w[0], setEmail = _w[1];
    // Pages
    // const isLastStep = currentPage === Pages.__LENGTH - 1;
    // const isFirstStep = currentPage === 0;
    // Network state (verify code)
    var codeRequestTransit = registrationState.inviteRegistration.codeRequestTransit;
    var codeRequestIsInTransit = codeRequestTransit.transitInProgress;
    var hasCodeRequestTransitError = codeRequestTransit.transitErrorMessage !== null;
    var codeRequestTransitErrorMessage = (_a = codeRequestTransit.transitErrorMessage) !== null && _a !== void 0 ? _a : t('blui:MESSAGES.REQUEST_ERROR');
    var codeRequestSuccess = codeRequestTransit.transitSuccess;
    // Network state (registration)
    var registrationTransit = registrationState.inviteRegistration.registrationTransit;
    var registrationIsInTransit = registrationTransit.transitInProgress;
    var hasRegistrationTransitError = registrationTransit.transitErrorMessage !== null;
    var registrationTransitErrorMessage = (_b = registrationTransit.transitErrorMessage) !== null && _b !== void 0 ? _b : t('blui:MESSAGES.REQUEST_ERROR');
    var registrationSuccess = registrationTransit.transitSuccess;
    // Network state (invite code validation)
    var isValidationInTransit = registrationState.inviteRegistration.validationTransit.transitInProgress;
    var validationTransitErrorMessage = registrationState.inviteRegistration.validationTransit.transitErrorMessage;
    var hasValidationTransitError = registrationState.inviteRegistration.validationTransit.transitErrorMessage !== null;
    var validationSuccess = registrationState.inviteRegistration.validationTransit.transitSuccess;
    // Network state (loading eula)
    var loadEulaTransitErrorMessage = registrationState.eulaTransit.transitErrorMessage;
    // Custom Registration Success Screens
    var customSuccess = injectedUIContext.registrationSuccessScreen;
    var customAccountAlreadyExists = injectedUIContext.accountAlreadyExistsScreen;
    var errorBodyText = (hasCodeRequestTransitError && codeRequestTransitErrorMessage) ||
        (hasValidationTransitError && validationTransitErrorMessage) ||
        (hasRegistrationTransitError && registrationTransitErrorMessage) ||
        registrationTransitErrorMessage;
    // pre-populate fields if they are present in the url
    (0, react_1.useEffect)(function () {
        if (typeof code === 'string') {
            setVerificationCode(code);
            if (typeof urlEmail === 'string') {
                setEmail(urlEmail);
            }
        }
    }, [code, urlEmail, setVerificationCode, setEmail]);
    // Load the Eula if we do not yet have the content
    var loadAndCacheEula = (0, react_1.useCallback)(function () { return __awaiter(void 0, void 0, void 0, function () {
        var eulaText, _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    if (!!eulaContent) return [3 /*break*/, 4];
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, registrationActions.actions.loadEULA(i18n_1.default.language)];
                case 2:
                    eulaText = _b.sent();
                    setEulaContent(eulaText);
                    return [3 /*break*/, 4];
                case 3:
                    _a = _b.sent();
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); }, [eulaContent, setEulaContent, registrationActions]);
    // Send the verification email
    var requestCode = (0, react_1.useCallback)(function () { return __awaiter(void 0, void 0, void 0, function () {
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    registrationActions.dispatch(react_auth_shared_1.RegistrationActions.requestRegistrationCodeReset());
                    setHasAcknowledgedError(false);
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, registrationActions.actions.requestRegistrationCode(email)];
                case 2:
                    _b.sent();
                    return [3 /*break*/, 4];
                case 3:
                    _a = _b.sent();
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); }, [registrationActions, setHasAcknowledgedError, email]);
    // Validate the code entered by the user
    var validateCode = (0, react_1.useCallback)(function () { return __awaiter(void 0, void 0, void 0, function () {
        var registrationComplete, _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    setHasAcknowledgedError(false);
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, registrationActions.actions.validateUserRegistrationRequest(verificationCode, email)];
                case 2:
                    registrationComplete = _b.sent();
                    if (registrationComplete) {
                        setAccountAlreadyExists(true);
                    }
                    return [3 /*break*/, 4];
                case 3:
                    _a = _b.sent();
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); }, [setHasAcknowledgedError, registrationActions, verificationCode, email, setAccountAlreadyExists]);
    // Reset registration and validation state on dismissal
    (0, react_1.useEffect)(function () {
        if (hasAcknowledgedError) {
            if (hasCodeRequestTransitError)
                registrationActions.dispatch(react_auth_shared_1.RegistrationActions.requestRegistrationCodeReset());
            if (hasValidationTransitError)
                registrationActions.dispatch(react_auth_shared_1.RegistrationActions.validateUserRegistrationReset());
            if (hasRegistrationTransitError)
                registrationActions.dispatch(react_auth_shared_1.RegistrationActions.registerUserReset());
            setHasAcknowledgedError(false);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [hasAcknowledgedError]);
    (0, react_1.useEffect)(function () { return function () {
        registrationActions.dispatch(react_auth_shared_1.RegistrationActions.requestRegistrationCodeReset());
        registrationActions.dispatch(react_auth_shared_1.RegistrationActions.validateUserRegistrationReset());
        registrationActions.dispatch(react_auth_shared_1.RegistrationActions.registerUserReset());
    }; }, [] // eslint-disable-line react-hooks/exhaustive-deps
    );
    // Call the API to finish registration
    var attemptRegistration = (0, react_1.useCallback)(function () { return __awaiter(void 0, void 0, void 0, function () {
        var flattenedDetails, _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    setHasAcknowledgedError(false);
                    flattenedDetails = {};
                    Object.keys(customAccountDetails).forEach(function (key) {
                        flattenedDetails = __assign(__assign({}, flattenedDetails), customAccountDetails[parseInt(key, 10)].values);
                    });
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, registrationActions.actions.completeRegistration({
                            password: password,
                            accountDetails: __assign(__assign({}, (accountDetails !== null && accountDetails !== void 0 ? accountDetails : exports.emptyAccountDetailInformation)), flattenedDetails),
                        }, verificationCode, email)];
                case 2:
                    _b.sent();
                    return [3 /*break*/, 4];
                case 3:
                    _a = _b.sent();
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); }, [
        setHasAcknowledgedError,
        registrationActions,
        password,
        accountDetails,
        customAccountDetails,
        verificationCode,
        email,
    ]);
    // Define the pages in the workflow
    var customDetails = injectedUIContext.customAccountDetails || [];
    //@ts-ignore
    var FirstCustomPage = customDetails.length > 0 && customDetails[0] ? customDetails[0].component : null;
    var RegistrationPages = [
        {
            name: 'Eula',
            pageTitle: t('blui:REGISTRATION.STEPS.LICENSE'),
            pageBody: (react_1.default.createElement(AcceptEula_1.AcceptEula, { eulaAccepted: eulaAccepted, onEulaChanged: setEulaAccepted, loadEula: loadAndCacheEula, htmlEula: (_c = injectedUIContext.htmlEula) !== null && _c !== void 0 ? _c : false, eulaError: loadEulaTransitErrorMessage, eulaContent: eulaContent })),
            canGoForward: eulaAccepted,
            canGoBack: true,
        },
        {
            name: 'CreateAccount',
            pageTitle: t('blui:REGISTRATION.STEPS.CREATE_ACCOUNT'),
            pageBody: (react_1.default.createElement(CreateAccount_1.CreateAccount, { initialEmail: email, onEmailChanged: setEmail, 
                // eslint-disable-next-line @typescript-eslint/no-use-before-define
                onSubmit: email.length > 0 ? function () { return advancePage(1); } : undefined })),
            canGoForward: email.length > 0,
            canGoBack: true,
        },
        {
            name: 'VerifyEmail',
            pageTitle: t('blui:REGISTRATION.STEPS.VERIFY_EMAIL'),
            pageBody: (react_1.default.createElement(VerifyEmail_1.VerifyEmail, { initialCode: verificationCode, onVerifyCodeChanged: setVerificationCode, onResendVerificationEmail: function () {
                    void requestCode();
                }, 
                // eslint-disable-next-line @typescript-eslint/no-use-before-define
                onSubmit: verificationCode.length > 0 ? function () { return advancePage(1); } : undefined })),
            canGoForward: verificationCode.length > 0,
            canGoBack: true,
        },
        {
            name: 'CreatePassword',
            pageTitle: t('blui:REGISTRATION.STEPS.PASSWORD'),
            pageBody: (react_1.default.createElement(CreatePassword_1.CreatePassword, { onPasswordChanged: setPassword, initialPassword: password, 
                // eslint-disable-next-line @typescript-eslint/no-use-before-define
                onSubmit: password.length > 0 ? function () { return advancePage(1); } : undefined })),
            canGoForward: password.length > 0,
            canGoBack: true,
        },
        {
            name: 'AccountDetails',
            pageTitle: t('blui:REGISTRATION.STEPS.ACCOUNT_DETAILS'),
            pageBody: (react_1.default.createElement(AccountDetails_1.AccountDetailsWrapper, null,
                react_1.default.createElement(AccountDetails_1.AccountDetails, { onDetailsChanged: setAccountDetails, initialDetails: accountDetails, onSubmit: FirstCustomPage
                        ? function () {
                            /* TODO Focus first field in custom page */
                        }
                        : accountDetails !== null && accountDetails.valid
                            ? // eslint-disable-next-line @typescript-eslint/no-use-before-define
                                function () { return advancePage(1); }
                            : undefined }),
                FirstCustomPage && (react_1.default.createElement(Box_1.default, { sx: (0, styles_1.TextFieldStyles)(theme) },
                    react_1.default.createElement(FirstCustomPage, { onDetailsChanged: function (details, valid) {
                            setCustomAccountDetails(__assign(__assign({}, customAccountDetails), { 0: { values: details, valid: valid } }));
                        }, initialDetails: (_d = customAccountDetails[0]) === null || _d === void 0 ? void 0 : _d.values, 
                        // eslint-disable-next-line @typescript-eslint/no-use-before-define
                        onSubmit: ((_e = customAccountDetails[0]) === null || _e === void 0 ? void 0 : _e.valid) ? function () { return advancePage(1); } : undefined }))))),
            canGoForward: accountDetails !== null &&
                accountDetails.valid &&
                ((FirstCustomPage && ((_f = customAccountDetails[0]) === null || _f === void 0 ? void 0 : _f.valid)) || !FirstCustomPage),
            canGoBack: true,
        },
    ]
        .concat(customDetails
        .slice(1)
        //@ts-ignore there won't be any nulls after we filter them
        .filter(function (item) { return item !== null; })
        .map(function (page, i) {
        var _a, _b, _c;
        var PageComponent = page.component;
        return {
            name: "CustomPage".concat(i + 1),
            pageTitle: page.title || t('blui:REGISTRATION.STEPS.ACCOUNT_DETAILS'),
            pageBody: (react_1.default.createElement(AccountDetails_1.AccountDetailsWrapper, { description: page.instructions },
                react_1.default.createElement(PageComponent, { key: "CustomDetailsPage_".concat(i + 1), onDetailsChanged: function (details, valid) {
                        var _a;
                        setCustomAccountDetails(__assign(__assign({}, customAccountDetails), (_a = {}, _a[i + 1] = { values: details, valid: valid }, _a)));
                    }, initialDetails: (_a = customAccountDetails[i + 1]) === null || _a === void 0 ? void 0 : _a.values, onSubmit: 
                    // eslint-disable-next-line @typescript-eslint/no-use-before-define
                    ((_b = customAccountDetails[i + 1]) === null || _b === void 0 ? void 0 : _b.valid) ? function () { return advancePage(1); } : undefined }))),
            canGoForward: (_c = customAccountDetails[i + 1]) === null || _c === void 0 ? void 0 : _c.valid,
            canGoBack: true,
        };
    }))
        .concat([
        {
            name: 'Complete',
            pageTitle: t('blui:REGISTRATION.STEPS.COMPLETE'),
            pageBody: (react_1.default.createElement(RegistrationComplete_1.RegistrationComplete, { firstName: (_g = accountDetails === null || accountDetails === void 0 ? void 0 : accountDetails.firstName) !== null && _g !== void 0 ? _g : '', lastName: (_h = accountDetails === null || accountDetails === void 0 ? void 0 : accountDetails.lastName) !== null && _h !== void 0 ? _h : '', email: (_j = registrationState.inviteRegistration.email) !== null && _j !== void 0 ? _j : t('blui:REGISTRATION.UNKNOWN_EMAIL'), organization: (_k = registrationState.inviteRegistration.organizationName) !== null && _k !== void 0 ? _k : t('blui:REGISTRATION.UNKNOWN_ORGANIZATION') })),
            canGoForward: true,
            canGoBack: false,
        },
    ])
        // Remove the CreatePassword screen if so configured
        .filter(function (page) {
        if (page.name === 'CreatePassword' && !injectedUIContext.enableCreatePassword)
            return false;
        return true;
    });
    var isLastStep = currentPage === RegistrationPages.length - 1;
    var isFirstStep = currentPage === 0;
    var CreateAccountPage = RegistrationPages.findIndex(function (item) { return item.name === 'CreateAccount'; });
    var VerifyEmailPage = RegistrationPages.findIndex(function (item) { return item.name === 'VerifyEmail'; });
    var CreatePasswordPage = RegistrationPages.findIndex(function (item) { return item.name === 'CreatePassword'; });
    var AccountDetailsPage = RegistrationPages.findIndex(function (item) { return item.name === 'AccountDetails'; });
    var CompletePage = RegistrationPages.length - 1;
    // If there is a code and it is not confirmed, go to the verify screen
    (0, react_1.useEffect)(function () {
        if (verificationCode && !codeRequestSuccess) {
            setCurrentPage(VerifyEmailPage);
        }
    }, [codeRequestSuccess, verificationCode, VerifyEmailPage]);
    // If the registration is successful, go to the success screen
    (0, react_1.useEffect)(function () {
        if (currentPage === RegistrationPages.length - 2 && registrationSuccess) {
            setCurrentPage(CompletePage);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [registrationSuccess]);
    // If the verification code is sent successfully, go to the confirmation page
    (0, react_1.useEffect)(function () {
        if (currentPage === CreateAccountPage && codeRequestSuccess) {
            setCurrentPage(VerifyEmailPage);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [codeRequestSuccess]);
    // If the email is validated successfully, go to the create password screen (or account details)
    (0, react_1.useEffect)(function () {
        if (currentPage === VerifyEmailPage && validationSuccess) {
            setCurrentPage(injectedUIContext.enableCreatePassword ? CreatePasswordPage : AccountDetailsPage);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [validationSuccess]);
    // Screen transition logic
    var canProgress = function () { var _a; return (_a = RegistrationPages[currentPage].canGoForward) !== null && _a !== void 0 ? _a : false; };
    var canGoBackProgress = function () { var _a; return (_a = RegistrationPages[currentPage].canGoBack) !== null && _a !== void 0 ? _a : true; };
    var advancePage = function (delta) {
        if (delta === void 0) { delta = 0; }
        if (delta === 0) {
            return;
        }
        else if (isFirstStep && delta < 0) {
            navigate(routes.LOGIN);
        }
        else if (isLastStep && delta > 0) {
            navigate(routes.LOGIN);
        }
        else {
            // If this is the last user-entry step of the invite flow, it is time to make a network call
            // Check > 0 so advancing backwards does not risk going into the completion block
            if (currentPage === RegistrationPages.length - 2 && !registrationSuccess && canProgress() && delta > 0) {
                void attemptRegistration();
            }
            else if (currentPage === CreateAccountPage && !codeRequestIsInTransit && canProgress() && delta > 0) {
                void requestCode();
            }
            else if (currentPage === VerifyEmailPage && !isValidationInTransit && canProgress() && delta > 0) {
                void validateCode();
            }
            else {
                setCurrentPage(currentPage + delta);
            }
        }
    };
    // Page content logic
    var pageTitle = function () {
        if (accountAlreadyExists)
            return t('blui:REGISTRATION.STEPS.COMPLETE');
        return RegistrationPages[currentPage].pageTitle || '';
    };
    // Page actions logic
    var buttonArea;
    if (accountAlreadyExists) {
        buttonArea = (react_1.default.createElement(Button_1.default, { variant: 'contained', color: 'primary', sx: (0, styles_1.DialogButtonStyles)(true), disableElevation: true, onClick: function () { return navigate(routes.LOGIN); } }, isFirstStep ? t('blui:ACTIONS.CANCEL') : t('blui:ACTIONS.BACK')));
    }
    else if (isLastStep) {
        buttonArea = (react_1.default.createElement(Button_1.default, { variant: 'contained', color: 'primary', disableElevation: true, sx: (0, styles_1.DialogButtonStyles)(true), onClick: function () { return advancePage(1); } }, t('blui:ACTIONS.CONTINUE')));
    }
    else {
        buttonArea = (react_1.default.createElement(MobileStepper_1.default, { variant: 'dots', position: 'static', steps: RegistrationPages.length, activeStep: currentPage, backButton: react_1.default.createElement(Button_1.default, { variant: "outlined", color: "primary", disabled: !canGoBackProgress(), onClick: function () { return advancePage(-1); }, sx: (0, styles_1.DialogButtonStyles)() }, isFirstStep ? t('blui:ACTIONS.CANCEL') : t('blui:ACTIONS.BACK')), nextButton: react_1.default.createElement(Button_1.default, { variant: "contained", color: "primary", disableElevation: true, disabled: !canProgress(), onClick: function () { return advancePage(1); }, sx: (0, styles_1.DialogButtonStyles)() }, t('blui:ACTIONS.NEXT')), sx: __assign(__assign({}, styles_1.StepperStyles), { '& .MuiMobileStepper-dot': (0, styles_1.StepperDotStyles)(theme) }) }));
    }
    var errorDialog = (react_1.default.createElement(components_1.SimpleDialog, { title: 'Error', body: t(errorBodyText), open: !hasAcknowledgedError &&
            (hasRegistrationTransitError || hasValidationTransitError || hasCodeRequestTransitError), onClose: function () {
            setHasAcknowledgedError(true);
        } }));
    // Custom "Account Already Exists"
    if (accountAlreadyExists && customAccountAlreadyExists) {
        return (react_1.default.createElement(components_1.BrandedCardContainer, { loading: registrationIsInTransit || isValidationInTransit || codeRequestIsInTransit },
            typeof customAccountAlreadyExists === 'function' && customAccountAlreadyExists(undefined),
            typeof customAccountAlreadyExists !== 'function' && customAccountAlreadyExists));
    }
    // Custom Success Screen
    else if (isLastStep && !accountAlreadyExists && validationSuccess && !isValidationInTransit && customSuccess) {
        return (react_1.default.createElement(components_1.BrandedCardContainer, { loading: registrationIsInTransit || isValidationInTransit || codeRequestIsInTransit },
            typeof customSuccess === 'function' && customSuccess({ accountDetails: accountDetails }),
            typeof customSuccess !== 'function' && customSuccess));
    }
    return (react_1.default.createElement(components_1.BrandedCardContainer, { loading: registrationIsInTransit || isValidationInTransit || codeRequestIsInTransit },
        errorDialog,
        react_1.default.createElement(CardHeader_1.default, { title: react_1.default.createElement(Typography_1.default, { variant: 'h6', sx: { fontWeight: 600 } }, pageTitle()), sx: (0, styles_1.DialogTitleStyles)(theme) }),
        react_1.default.createElement(CardContent_1.default, { sx: (0, styles_1.DialogContentStyles)(theme) }, accountAlreadyExists ? react_1.default.createElement(ExistingAccountComplete_1.ExistingAccountComplete, null) : RegistrationPages[currentPage].pageBody),
        react_1.default.createElement(Divider_1.default, null),
        react_1.default.createElement(CardActions_1.default, { sx: (0, styles_1.DialogActionsStyles)(theme) }, buttonArea)));
};
exports.SelfRegistrationPager = SelfRegistrationPager;
