"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextFieldStyles = exports.StepperDotStyles = exports.StepperStyles = exports.FullDividerStyles = exports.DialogButtonStyles = exports.DialogActionsStyles = exports.DialogContentStyles = exports.DialogTitleStyles = void 0;
var DialogTitleStyles = function (theme) {
    var _a;
    return (_a = {
            p: "".concat(theme.spacing(4), " ").concat(theme.spacing(3), " 0 ").concat(theme.spacing(3))
        },
        _a[theme.breakpoints.down('sm')] = {
            p: "".concat(theme.spacing(2), " ").concat(theme.spacing(2), " 0 ").concat(theme.spacing(2)),
        },
        _a);
};
exports.DialogTitleStyles = DialogTitleStyles;
var DialogContentStyles = function (theme) {
    var _a;
    return (_a = {
            flex: '1 1 0px',
            overflow: 'auto',
            display: 'flex',
            flexDirection: 'column',
            p: "".concat(theme.spacing(2), " ").concat(theme.spacing(3))
        },
        _a[theme.breakpoints.down('sm')] = {
            p: "".concat(theme.spacing(2), " ").concat(theme.spacing(2), " ").concat(theme.spacing(3), " ").concat(theme.spacing(2)),
        },
        _a);
};
exports.DialogContentStyles = DialogContentStyles;
var DialogActionsStyles = function (theme) {
    var _a;
    return (_a = {
            p: 3,
            justifyContent: 'flex-end'
        },
        _a[theme.breakpoints.down('sm')] = {
            p: 2,
        },
        _a);
};
exports.DialogActionsStyles = DialogActionsStyles;
var DialogButtonStyles = function (fullWidth) {
    if (fullWidth === void 0) { fullWidth = false; }
    return ({
        width: fullWidth ? '100%' : 100,
    });
};
exports.DialogButtonStyles = DialogButtonStyles;
var FullDividerStyles = function (theme) {
    var _a;
    return (_a = {
            m: "".concat(theme.spacing(5), " -").concat(theme.spacing(3), " ").concat(theme.spacing(4))
        },
        _a[theme.breakpoints.down('sm')] = {
            m: "".concat(theme.spacing(5), " -").concat(theme.spacing(2), " ").concat(theme.spacing(4)),
        },
        _a);
};
exports.FullDividerStyles = FullDividerStyles;
exports.StepperStyles = {
    background: 'transparent',
    width: '100%',
    p: 0,
};
var StepperDotStyles = function (theme) { return ({
    m: "0px ".concat(theme.spacing(0.5)),
}); };
exports.StepperDotStyles = StepperDotStyles;
var TextFieldStyles = function (theme) {
    var _a;
    return (_a = {
            mt: 4
        },
        _a[theme.breakpoints.down('sm')] = {
            mt: 3,
        },
        _a);
};
exports.TextFieldStyles = TextFieldStyles;
