/**
 * @packageDocumentation
 * @module RegistrationUIContext
 */
/// <reference types="react" />
import { RegistrationUIState } from './state';
import { RegistrationUIActions } from '../AuthUIContextProvider';
import { RegistrationActions } from './dispatchActions';
export type RegistrationUIContextActions = {
    actions: RegistrationUIActions;
    dispatch: React.Dispatch<RegistrationActions>;
};
export type RegistrationUIReducer = (prevState: RegistrationUIState, action: RegistrationActions) => RegistrationUIState;
