"use strict";
/**
 * SecurityContextProvider provides a single source of state for the state of
 * user authentication. It is not meant to authenticate the user or hold
 * credential information. Its purpose is to control access to authenticated
 * or non-authenticated sections of the application (as well as change password
 * for a currently authenticated user).
 *
 * @packageDocumentation
 * @module SecurityContextProvider
 * @preferred
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
/** @ignore */
__exportStar(require("./SecurityContextProvider"), exports);
