/// <reference types="react" />
/**
 * Component that renders a conditional Route. If the user is not authenticated, this route
 * will redirect to the login route. If the user is authenticated, it will render the provided
 * content.
 *
 * @category Component
 */
export declare const AuthGuard: () => JSX.Element | null;
