import React from 'react';
/**
 * Component that renders a blue textured background and centers its children in the screen.
 *
 * @param children the content to render on the blue background
 *
 * @category Component
 */
export declare const BrandedBackground: React.FC<React.PropsWithChildren<React.PropsWithChildren>>;
export type BrandedCardContainerProps = {
    loading?: boolean;
};
/**
 * Component that renders a card centered on a blue textured background.
 *
 * @param loading if true a loading spinner will be displayed blocking the content
 *
 * @category Component
 */
export declare const BrandedCardContainer: React.FC<React.PropsWithChildren<React.PropsWithChildren<BrandedCardContainerProps>>>;
