import React from 'react';
import { TextFieldProps } from '@mui/material/TextField';
/**
 * Component that renders textfield with a visibility toggle. The toggle changes the
 * input from hidden to visible.
 *
 * @param props all props will be passed to the underlying TextField component
 *
 * @category Component
 */
export declare const SecureTextField: React.FC<React.PropsWithChildren<React.PropsWithChildren<TextFieldProps>>>;
