import React from 'react';
type SpinnerProps = {
    visible?: boolean;
};
/**
 * Component that renders a indeterminate circular progress spinner atop a semi-transparent white background.
 *
 * @param visible True if the spinner should be displayed, false to render nothing
 *
 * @category Component
 */
export declare const Spinner: React.FC<React.PropsWithChildren<React.PropsWithChildren<SpinnerProps>>>;
export {};
