/// <reference types="react" />
import { RouteConfig } from '../routing/AuthNavigationContainer';
type RoutingContextType = {
    routes: Required<RouteConfig>;
};
/**
 * Context Provider that gives access to the custom routes defined for the public routes (pre authentication).
 *
 * @param routes A object containing the required routes and their respective paths
 *
 * @category Component
 */
export declare const RoutingContext: import("react").Context<RoutingContextType>;
export declare const useRoutes: () => RoutingContextType;
export {};
