/**
 * @packageDocumentation
 * @module RegistrationContext
 */
/// <reference types="react" />
import { RegistrationContextProviderProps } from './types';
export declare const RegistrationContext: import("react").Context<RegistrationContextProviderProps>;
/**
 * Hook to get the data of each registration workflow screen
 *
 * @category Hooks
 * @private
 * @internal
 */
export declare const useRegistrationContext: () => RegistrationContextProviderProps;
