import React from 'react';
export type RegistrationSuccessSubscreenProps = {
    firstName: string;
    lastName: string;
    email: string;
    organization: string;
    messageIcon?: JSX.Element;
    messageTitle?: string;
    messageBody?: string;
};
/**
 * Component that renders a screen displaying success for creating an account for
 * a new user.
 *
 * @param firstName first name for the new user
 * @param lastName last name for the new user
 * @param email email address for the new user
 * @param organization organization that the user has joined
 *
 * @category Component
 */
export declare const RegistrationSuccessSubscreen: React.FC<RegistrationSuccessSubscreenProps>;
