import React from 'react';
type SplashProps = {
    mainImage?: string | number;
};
/**
 * Renders the splash screen displayed while loading the initial
 * authentication state.
 *
 * @param mainImage the product logo or image to use on the loading screen
 *
 * @category Component
 */
export declare const Splash: React.FC<React.PropsWithChildren<React.PropsWithChildren<SplashProps>>>;
export {};
